Debian Bug report logs - #592078
lynx-cur: system's language setting seems ignored

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Sebastien Hinderer <sebastien.hinderer@ens-lyon.org>

Date: Sat, 7 Aug 2010 13:03:01 UTC

Severity: important

Found in version lynx-cur/2.8.8dev.4-2

Fixed in version lynx-cur/2.8.8dev.4-3

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592078; Package lynx-cur. (Sat, 07 Aug 2010 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastien Hinderer <sebastien.hinderer@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sat, 07 Aug 2010 13:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastien Hinderer <sebastien.hinderer@ens-lyon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: system's language setting seems ignored
Date: Sat, 07 Aug 2010 15:00:08 +0200
Package: lynx-cur
Version: 2.8.8dev.4-2
Severity: important

Although locales are configured in french, lynx prints itsmessages inenglish
hereas other programs continue to work normally.
-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.35+ (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lynx-cur depends on:
ii  debconf [debconf-2.0]   1.5.34           Debian configuration management sy
ii  libbsd0                 0.2.0-1          utility functions from BSD systems
ii  libc6                   2.11.2-2         Embedded GNU C Library: Shared lib
ii  libgcrypt11             1.4.5-2          LGPL Crypto library - runtime libr
ii  libgnutls26             2.8.6-1          the GNU TLS library - runtime libr
ii  libidn11                1.18-1           GNU Libidn library, implementation
ii  libncursesw5            5.7+20100313-2   shared libraries for terminal hand
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages lynx-cur recommends:
ii  mime-support                  3.48-1     MIME files 'mime.types' & 'mailcap

Versions of packages lynx-cur suggests:
pn  lynx-cur-wrapper              <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592078; Package lynx-cur. (Sun, 08 Aug 2010 11:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sun, 08 Aug 2010 11:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 592078@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sebastien Hinderer <sebastien.hinderer@ens-lyon.org>, 592078@bugs.debian.org
Cc: Atsuhito KOHDA <kohda@debian.org>
Subject: Re: Bug#592078: lynx-cur: system's language setting seems ignored
Date: Sun, 8 Aug 2010 07:01:08 -0400 (EDT)
On Sat, 7 Aug 2010, Sebastien Hinderer wrote:

> Package: lynx-cur
> Version: 2.8.8dev.4-2
> Severity: important
>
> Although locales are configured in french, lynx prints itsmessages inenglish
> hereas other programs continue to work normally.

I can reproduce this with the Debian package; my own build (different 
build/runtime options) does work.  I'll investigate to see where the 
problem lies.

thanks

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592078; Package lynx-cur. (Sun, 08 Aug 2010 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Sun, 08 Aug 2010 14:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 592078@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Sebastien Hinderer <sebastien.hinderer@ens-lyon.org>, 592078@bugs.debian.org
Cc: Atsuhito KOHDA <kohda@debian.org>, lynx discussion group <lynx-dev@nongnu.org>
Subject: Re: Bug#592078: lynx-cur: system's language setting seems ignored
Date: Sun, 8 Aug 2010 10:13:12 -0400 (EDT)
On Sat, 7 Aug 2010, Sebastien Hinderer wrote:

> Package: lynx-cur
> Version: 2.8.8dev.4-2
> Severity: important
>
> Although locales are configured in french, lynx prints itsmessages inenglish
> hereas other programs continue to work normally.

The problem that I see is that lynx-cur's message files are not installed.
Looking further, I see that the problem is a typo left from my removal
of mkinstalldirs.sh in dev.4

Here's a diff of the fix for that:

--- makefile.inn        2010/06/19 10:57:02     1.17
+++ makefile.inn        2010/08/08 14:07:45
@@ -1,4 +1,4 @@
-# $LynxId: makefile.inn,v 1.17 2010/06/19 10:57:02 tom Exp $
+# $LynxId: makefile.inn,v 1.18 2010/08/08 14:07:45 tom Exp $
 #
 # Makefile for program source directory in GNU NLS utilities package.
 # Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
@@ -123,7 +123,7 @@
 install-data: install-data-@USE_NLS@
 install-data-no: all
 install-data-yes: all
-       mkdir -p $(DATADIR); \
+       mkdir -p $(DATADIR)
        @catalogs='$(CATALOGS)'; \
        for cat in $$catalogs; do \
          cat=`basename $$cat`; \


-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. (Mon, 09 Aug 2010 03:21:04 GMT) Full text and rfc822 format available.

Notification sent to Sebastien Hinderer <sebastien.hinderer@ens-lyon.org>:
Bug acknowledged by developer. (Mon, 09 Aug 2010 03:21:04 GMT) Full text and rfc822 format available.

Message #20 received at 592078-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 592078-close@bugs.debian.org
Subject: Bug#592078: fixed in lynx-cur 2.8.8dev.4-3
Date: Mon, 09 Aug 2010 03:17:10 +0000
Source: lynx-cur
Source-Version: 2.8.8dev.4-3

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.8dev.4-3_all.deb
  to main/l/lynx-cur/lynx-cur-wrapper_2.8.8dev.4-3_all.deb
lynx-cur_2.8.8dev.4-3.diff.gz
  to main/l/lynx-cur/lynx-cur_2.8.8dev.4-3.diff.gz
lynx-cur_2.8.8dev.4-3.dsc
  to main/l/lynx-cur/lynx-cur_2.8.8dev.4-3.dsc
lynx-cur_2.8.8dev.4-3_i386.deb
  to main/l/lynx-cur/lynx-cur_2.8.8dev.4-3_i386.deb
lynx_2.8.8dev.4-3_all.deb
  to main/l/lynx-cur/lynx_2.8.8dev.4-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 592078@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 09 Aug 2010 11:06:00 +0900
Source: lynx-cur
Binary: lynx-cur lynx-cur-wrapper lynx
Architecture: source all i386
Version: 2.8.8dev.4-3
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx       - Text-mode WWW Browser (transitional package)
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 592078
Changes: 
 lynx-cur (2.8.8dev.4-3) unstable; urgency=low
 .
   * Applied a patch from the upstream.  (Closes: #592078)
Checksums-Sha1: 
 dc7f7fb1c43befbfdc76b1d3390aa216da3518de 1181 lynx-cur_2.8.8dev.4-3.dsc
 62854aab2a6b990a31277720795e1b7f4a986435 31425 lynx-cur_2.8.8dev.4-3.diff.gz
 2c19bb3bd73719f49d0882114c141491f5ed28be 219622 lynx-cur-wrapper_2.8.8dev.4-3_all.deb
 0165a34de4a67cfe0d7fce4f523516db0aa81ecd 217100 lynx_2.8.8dev.4-3_all.deb
 f7a189ff386368e3cfc4cc0b4e958926f498cf6a 2114118 lynx-cur_2.8.8dev.4-3_i386.deb
Checksums-Sha256: 
 fc5976147338e2b0616ca05604ad740660fb8da325d3f93ac8da045f21cbfa8a 1181 lynx-cur_2.8.8dev.4-3.dsc
 ca1826351bfdbc89ad1f5b48b0a799630e33645fad7736aeed563b95b2ef809a 31425 lynx-cur_2.8.8dev.4-3.diff.gz
 5b9376305e15442e1ecedc0c8a9ad13a0b8b1fe0a57d7202c1d18984124c78bd 219622 lynx-cur-wrapper_2.8.8dev.4-3_all.deb
 3e96eb5f975c792b6356b7de66b3b60264b6acb0b7a364881a7c77ca33d29efc 217100 lynx_2.8.8dev.4-3_all.deb
 b6980d0e39a045b91e028d274d03b312c70f280973412e102339fd4505b1c7e4 2114118 lynx-cur_2.8.8dev.4-3_i386.deb
Files: 
 515985b2c473b3327584613b53500d20 1181 web extra lynx-cur_2.8.8dev.4-3.dsc
 2b0a7a2bbc8071a7015e8c3efdf31260 31425 web extra lynx-cur_2.8.8dev.4-3.diff.gz
 9eae6fab09e9d3b02e5bfd24a371ccb6 219622 web extra lynx-cur-wrapper_2.8.8dev.4-3_all.deb
 e2dafce5d56f4cbc1b0a8171b1eabdb4 217100 web extra lynx_2.8.8dev.4-3_all.deb
 7a6e56be00683028d87cdb23d8539337 2114118 web extra lynx-cur_2.8.8dev.4-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxfb4cACgkQ1IXdL1v6kOxGKACaAvTd+uJ/iUC3rTxtWGudcDn7
re0Anjk33Z+caPgW3niBYHwcp9tMSGSi
=fANX
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592078; Package lynx-cur. (Mon, 09 Aug 2010 03:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 09 Aug 2010 03:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 592078@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: dickey@his.com
Cc: sebastien.hinderer@ens-lyon.org, 592078@bugs.debian.org, lynx-dev@nongnu.org
Subject: Re: [Lynx-dev] Re: Bug#592078: lynx-cur: system's language setting seems ignored
Date: Mon, 09 Aug 2010 12:10:32 +0900 (JST)
Hi Thomas,

On Sun, 8 Aug 2010 10:13:12 -0400 (EDT), Thomas Dickey wrote:

> On Sat, 7 Aug 2010, Sebastien Hinderer wrote:
> 
>> Package: lynx-cur
>> Version: 2.8.8dev.4-2
>> Severity: important
>>
>> Although locales are configured in french, lynx prints itsmessages
>> inenglish
>> hereas other programs continue to work normally.
> 
> The problem that I see is that lynx-cur's message files are not
> installed.
> Looking further, I see that the problem is a typo left from my removal
> of mkinstalldirs.sh in dev.4
> 
> Here's a diff of the fix for that:

I just uploaded a fixed version.  Thanks for your kind help.

Best regards,	  		  2010-8-9(Mon)

-- 
 Debian Developer - much more I18N of Debian
 Atsuhito Kohda <kohda AT debian.org>
 Department of Math., Univ. of Tokushima




Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#592078; Package lynx-cur. (Mon, 09 Aug 2010 07:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. (Mon, 09 Aug 2010 07:57:06 GMT) Full text and rfc822 format available.

Message #30 received at 592078@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
Cc: sebastien.hinderer@ens-lyon.org, 592078@bugs.debian.org, lynx-dev@nongnu.org
Subject: Re: [Lynx-dev] Re: Bug#592078: lynx-cur: system's language setting seems ignored
Date: Mon, 9 Aug 2010 03:54:01 -0400 (EDT)
On Mon, 9 Aug 2010, Atsuhito Kohda wrote:

> Hi Thomas,
>
> On Sun, 8 Aug 2010 10:13:12 -0400 (EDT), Thomas Dickey wrote:
>
>> On Sat, 7 Aug 2010, Sebastien Hinderer wrote:
>>
>>> Package: lynx-cur
>>> Version: 2.8.8dev.4-2
>>> Severity: important
>>>
>>> Although locales are configured in french, lynx prints itsmessages
>>> inenglish
>>> hereas other programs continue to work normally.
>>
>> The problem that I see is that lynx-cur's message files are not
>> installed.
>> Looking further, I see that the problem is a typo left from my removal
>> of mkinstalldirs.sh in dev.4
>>
>> Here's a diff of the fix for that:
>
> I just uploaded a fixed version.  Thanks for your kind help.

thanks (I've been distracted with mawk recently, expect to switch back to 
lynx after dealing with mawk...)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Sep 2010 07:36:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:21:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.